微信小程序 - 自定义组件
=

[![npm version](https://img.shields.io/npm/v/wux.svg)](https://www.npmjs.org/package/wux)

## 预览

用[微信web开发者工具](https://mp.weixin.qq.com/debug/wxadoc/dev/devtools/download.html)打开`dist`目录（请注意，是dist目录，不是整个项目）

<img src="./screenshots/screenshorts-01.png" width="375px" style="display:inline;">

## 使用

- 组件的wxml结构请看`dist/components/`下的组件
- 样式文件可直接引用`dist/components/wux.wxss`

## 插件及文档

* [ActionSheet - 上拉菜单](https://github.com/skyvow/wux/blob/master/docs/components/actionsheet.md)
* [Backdrop - 背景幕](https://github.com/skyvow/wux/blob/master/docs/components/backdrop.md)
* [Barcode - 条形码](https://github.com/skyvow/wux/blob/master/docs/components/barcode.md)
* [Button - 浮动按钮](https://github.com/skyvow/wux/blob/master/docs/components/button.md)
* [Calendar - 日历](https://github.com/skyvow/wux/blob/master/docs/components/calendar.md)
* [CountDown - 倒计时](https://github.com/skyvow/wux/blob/master/docs/components/countdown.md)
* [CountUp - 计数器](https://github.com/skyvow/wux/blob/master/docs/components/countup.md)
* [Dialog - 对话框](https://github.com/skyvow/wux/blob/master/docs/components/dialog.md)
* [FilterBar - 筛选栏](https://github.com/skyvow/wux/blob/master/docs/components/filterbar.md)
* [Gallery - 画廊](https://github.com/skyvow/wux/blob/master/docs/components/gallery.md)
* [KeyBoard - 键盘](https://github.com/skyvow/wux/blob/master/docs/components/keyboard.md)
* [Loading - 指示器](https://github.com/skyvow/wux/blob/master/docs/components/loading.md)
* [Notification - 通知](https://github.com/skyvow/wux/blob/master/docs/components/notification.md)
* [Picker - 选择器](https://github.com/skyvow/wux/blob/master/docs/components/picker.md)
* [Prompt - 提示信息](https://github.com/skyvow/wux/blob/master/docs/components/prompt.md)
* [Qrcode - 二维码](https://github.com/skyvow/wux/blob/master/docs/components/qrcode.md)
* [Rater - 评分组件](https://github.com/skyvow/wux/blob/master/docs/components/rater.md)
* [Refresher - 下拉刷新](https://github.com/skyvow/wux/blob/master/docs/components/refresher.md)
* [Toast - 提示框](https://github.com/skyvow/wux/blob/master/docs/components/toast.md)
* [Toptips - 顶部提示](https://github.com/skyvow/wux/blob/master/docs/components/toptips.md)
* [Vcode - 验证码](https://github.com/skyvow/wux/blob/master/docs/components/vcode.md)
* [Xnumber - 数字输入框](https://github.com/skyvow/wux/blob/master/docs/components/xnumber.md)

## 更新日志

* [CHANGELOG](CHANGELOG.md)

## 项目截图

<img src="./screenshots/screenshorts-17.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-24.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-02.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-19.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-26.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-25.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-20.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-16.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-03.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-04.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-04-1.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-04-2.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-04-3.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-04-4.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-05.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-06.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-07.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-08.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-09.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-10.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-21.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-22.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-11-1.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-11-2.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-11-3.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-18.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-12.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-13.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-14.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-15.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-23.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-27.png" width="375px" style="display:inline;">

<img src="./screenshots/screenshorts-28.png" width="375px" style="display:inline;">

## 贡献

有任何意见或建议都欢迎提 issue

## License

MIT